Subject: Re: bug#10474: Building guile 2.x under mingw + msys

From: Andy Wingo <[email-masked]>
Date: Tue, 19 Feb 2013 14:39:54 +0100

Hi,

On Tue 19 Feb 2013 13:55, [email-masked] (Ludovic Courtès) writes:

> Andy Wingo <[email-masked]> skribis:
>
>> +  (compile-time-case (system-path-convention)
>> +    ((posix)
>> +     (define (path-separator? c)
>> +       (char=? c #\/))
>> +
>> +     (define path-separator-string "/")
>> +
>> +     (define (absolute-path? path)
>> +       (string-prefix? "/" path)))
>
> I think we must stick to GNU conventions–i.e., write “file name” when
> speaking of the name of a file, as above, and “path” when speaking of a
> search path.
>
> This is important here because sooner or later someone will ask about
> “path separators” (semicolon vs. colon), not to be confused with file
> name or directory separators.
>
> WDYT?

I'm fine with this.  I'll go for these names, and let someone else fix
it up if they care enough:

  system-file-name-convention
  file-name-separator?
  file-name-separator-string
  absolute-file-name?

> What about adding here a link to a page that describes “UNC”?

http://msdn.microsoft.com/en-us/library/windows/desktop/aa365247(v=vs.85).aspx#fully_qualified_vs._relative_paths
is the link; will include it.

Thanks,

Andy
-- 
http://wingolog.org/